diff --git a/compiler/nativeGen/SPARC/CodeGen/Gen32.hs b/compiler/nativeGen/SPARC/CodeGen/Gen32.hs
index 43b792a..14019d5 100644
--- a/compiler/nativeGen/SPARC/CodeGen/Gen32.hs
+++ b/compiler/nativeGen/SPARC/CodeGen/Gen32.hs
@@ -652,22 +646,22 @@ condIntReg cond x y = do
     bid2 <- liftM (\a -> seq a a) getBlockIdNat
     CondCode _ cond cond_code <- condIntCode cond x y
     let
-	code__2 dst 
-	 =	cond_code 
-	  `appOL` toOL 
-		[ BI cond False bid1
-		, NOP
+        code__2 dst 
+         =      cond_code 
+          `appOL` toOL 
+                [ BI cond False bid1
+                , NOP
 
-		, OR False g0 (RIImm (ImmInt 0)) dst
-		, BI ALWAYS False bid2
-		, NOP
+                , OR False g0 (RIImm (ImmInt 0)) dst
+                , BI ALWAYS False bid2
+                , NOP
 
-		, NEWBLOCK bid1
-		, OR False g0 (RIImm (ImmInt 1)) dst
-		, BI ALWAYS False bid2
-		, NOP
+                , NEWBLOCK bid1
+                , OR False g0 (RIImm (ImmInt 1)) dst
+                , BI ALWAYS False bid2
+                , NOP
 
-		, NEWBLOCK bid2]
+                , NEWBLOCK bid2]
 
     return (Any II32 code__2)
 
@@ -679,23 +673,23 @@ condFltReg cond x y = do
 
     CondCode _ cond cond_code <- condFltCode cond x y
     let
-    	code__2 dst 
-	 = 	cond_code 
-	  `appOL` toOL 
-	  	[ NOP
-		, BF cond False bid1
-		, NOP
-
-		, OR False g0 (RIImm (ImmInt 0)) dst
-		, BI ALWAYS False bid2
-		, NOP
-
-		, NEWBLOCK bid1
-		, OR False g0 (RIImm (ImmInt 1)) dst
-		, BI ALWAYS False bid2
-		, NOP
-
-		, NEWBLOCK bid2 ]
+        code__2 dst 
+         =      cond_code 
+          `appOL` toOL 
+                [ NOP
+                , BF cond False bid1
+                , NOP
+
+                , OR False g0 (RIImm (ImmInt 0)) dst
+                , BI ALWAYS False bid2
+                , NOP
+
+                , NEWBLOCK bid1
+                , OR False g0 (RIImm (ImmInt 1)) dst
+                , BI ALWAYS False bid2
+                , NOP
+
+                , NEWBLOCK bid2 ]
 
     return (Any II32 code__2)
 
diff --git a/compiler/nativeGen/SPARC/CodeGen/Sanity.hs b/compiler/nativeGen/SPARC/CodeGen/Sanity.hs
index d4cdaf2..8cf2f72 100644
--- a/compiler/nativeGen/SPARC/CodeGen/Sanity.hs
+++ b/compiler/nativeGen/SPARC/CodeGen/Sanity.hs
@@ -1,22 +1,16 @@
 
-{-# OPTIONS -fno-warn-tabs #-}
--- The above warning supression flag is a temporary kludge.
--- While working on this module you are encouraged to remove it and
--- detab the module (please do the detabbing in a separate patch). See
---     http://ghc.haskell.org/trac/ghc/wiki/Commentary/CodingStyle#TabsvsSpaces
--- for details
 
 -- | One ounce of sanity checking is worth 10000000000000000 ounces 
---	of staring blindly at assembly code trying to find the problem..
+--      of staring blindly at assembly code trying to find the problem..
 --
 module SPARC.CodeGen.Sanity (
-	checkBlock
+        checkBlock
 )
 
 where
 
 import SPARC.Instr
-import SPARC.Ppr	()
+import SPARC.Ppr        ()
 import Instruction
 
 import Cmm
@@ -31,48 +25,48 @@ checkBlock :: CmmBlock
            -> NatBasicBlock Instr
 
 checkBlock cmm block@(BasicBlock _ instrs)
-	| checkBlockInstrs instrs
-	= block
-	
-	| otherwise
-	= pprPanic 
-		("SPARC.CodeGen: bad block\n")
-		( vcat	[ text " -- cmm -----------------\n"
-			, ppr cmm
-			, text " -- native code ---------\n"
-			, ppr block ])
+        | checkBlockInstrs instrs
+        = block
+        
+        | otherwise
+        = pprPanic 
+                ("SPARC.CodeGen: bad block\n")
+                ( vcat  [ text " -- cmm -----------------\n"
+                        , ppr cmm
+                        , text " -- native code ---------\n"
+                        , ppr block ])
 
 
 checkBlockInstrs :: [Instr] -> Bool
 checkBlockInstrs ii
 
-	-- An unconditional jumps end the block.
-	--	There must be an unconditional jump in the block, otherwise
-	--	the register liveness determinator will get the liveness
-	--	information wrong. 
-	--
-	--	If the block ends with a cmm call that never returns
-	--	then there can be unreachable instructions after the jump,
-	--	but we don't mind here.
-	--
-	| instr : NOP : _	<- ii 
-	, isUnconditionalJump instr
-	= True
-	
-	-- All jumps must have a NOP in their branch delay slot.
-	--	The liveness determinator and register allocators aren't smart
-	--	enough to handle branch delay slots.
-	--
-	| instr : NOP : is	<- ii
-	, isJumpishInstr instr
-	= checkBlockInstrs is
-
-	-- keep checking
-	| _:i2:is		<- ii
-	= checkBlockInstrs (i2:is)
-
-	-- this block is no good	
-	| otherwise
-	= False
+        -- An unconditional jumps end the block.
+        --      There must be an unconditional jump in the block, otherwise
+        --      the register liveness determinator will get the liveness
+        --      information wrong. 
+        --
+        --      If the block ends with a cmm call that never returns
+        --      then there can be unreachable instructions after the jump,
+        --      but we don't mind here.
+        --
+        | instr : NOP : _       <- ii 
+        , isUnconditionalJump instr
+        = True
+        
+        -- All jumps must have a NOP in their branch delay slot.
+        --      The liveness determinator and register allocators aren't smart
+        --      enough to handle branch delay slots.
+        --
+        | instr : NOP : is      <- ii
+        , isJumpishInstr instr
+        = checkBlockInstrs is
+
+        -- keep checking
+        | _:i2:is               <- ii
+        = checkBlockInstrs (i2:is)
+
+        -- this block is no good        
+        | otherwise
+        = False
 
 
diff --git a/compiler/nativeGen/SPARC/Cond.hs b/compiler/nativeGen/SPARC/Cond.hs
index b8919a72..707e495 100644
--- a/compiler/nativeGen/SPARC/Cond.hs
+++ b/compiler/nativeGen/SPARC/Cond.hs
@@ -1,39 +1,33 @@
 
-{-# OPTIONS -fno-warn-tabs #-}
--- The above warning supression flag is a temporary kludge.
--- While working on this module you are encouraged to remove it and
--- detab the module (please do the detabbing in a separate patch). See
---     http://ghc.haskell.org/trac/ghc/wiki/Commentary/CodingStyle#TabsvsSpaces
--- for details
 
 module SPARC.Cond (
-	Cond(..),
-	condUnsigned,
-	condToSigned,
-	condToUnsigned
+        Cond(..),
+        condUnsigned,
+        condToSigned,
+        condToUnsigned
 )
 
 where
 
 -- | Branch condition codes.
 data Cond
-	= ALWAYS
-	| EQQ
-	| GE
-	| GEU
-	| GTT
-	| GU
-	| LE
-	| LEU
-	| LTT
-	| LU
-	| NE
-	| NEG
-	| NEVER
-	| POS
-	| VC
-	| VS
-	deriving Eq
+        = ALWAYS
+        | EQQ
+        | GE
+        | GEU
+        | GTT
+        | GU
+        | LE
+        | LEU
+        | LTT
+        | LU
+        | NE
+        | NEG
+        | NEVER
+        | POS
+        | VC
+        | VS
+        deriving Eq
 
 
 condUnsigned :: Cond -> Bool
diff --git a/compiler/nativeGen/SPARC/Imm.hs b/compiler/nativeGen/SPARC/Imm.hs
index 4c2bb5a..1179a66 100644
--- a/compiler/nativeGen/SPARC/Imm.hs
+++ b/compiler/nativeGen/SPARC/Imm.hs
@@ -1,16 +1,10 @@
 
-{-# OPTIONS -fno-warn-tabs #-}
--- The above warning supression flag is a temporary kludge.
--- While working on this module you are encouraged to remove it and
--- detab the module (please do the detabbing in a separate patch). See
---     http://ghc.haskell.org/trac/ghc/wiki/Commentary/CodingStyle#TabsvsSpaces
--- for details
 
 module SPARC.Imm (
-	-- immediate values
-	Imm(..),
-	strImmLit,
-	litToImm
+        -- immediate values
+        Imm(..),
+        strImmLit,
+        litToImm
 )
 
 where
@@ -21,29 +15,29 @@ import CLabel
 import Outputable
 
 -- | An immediate value.
---	Not all of these are directly representable by the machine. 
---	Things like ImmLit are slurped out and put in a data segment instead.
+--      Not all of these are directly representable by the machine. 
+--      Things like ImmLit are slurped out and put in a data segment instead.
 --
 data Imm
-	= ImmInt	Int
+        = ImmInt        Int
 
-	-- Sigh.
-	| ImmInteger	Integer	    
+        -- Sigh.
+        | ImmInteger    Integer     
 
-	-- AbstractC Label (with baggage)
-	| ImmCLbl	CLabel	    
+        -- AbstractC Label (with baggage)
+        | ImmCLbl       CLabel      
 
-	-- Simple string
-	| ImmLit	SDoc
-	| ImmIndex	CLabel Int
-	| ImmFloat	Rational
-	| ImmDouble	Rational
+        -- Simple string
+        | ImmLit        SDoc
+        | ImmIndex      CLabel Int
+        | ImmFloat      Rational
+        | ImmDouble     Rational
 
-	| ImmConstantSum  Imm Imm
-	| ImmConstantDiff Imm Imm
+        | ImmConstantSum  Imm Imm
+        | ImmConstantDiff Imm Imm
 
-	| LO 	Imm		   
-	| HI 	Imm
+        | LO    Imm                
+        | HI    Imm
 
 
 -- | Create a ImmLit containing this string.
@@ -52,23 +46,23 @@ strImmLit s = ImmLit (text s)
 
 
 -- | Convert a CmmLit to an Imm.
--- 	Narrow to the width: a CmmInt might be out of
--- 	range, but we assume that ImmInteger only contains
--- 	in-range values.  A signed value should be fine here.
+--      Narrow to the width: a CmmInt might be out of
+--      range, but we assume that ImmInteger only contains
+--      in-range values.  A signed value should be fine here.
 --
 litToImm :: CmmLit -> Imm
 litToImm lit
  = case lit of
- 	CmmInt i w		-> ImmInteger (narrowS w i)
-	CmmFloat f W32		-> ImmFloat f
-	CmmFloat f W64		-> ImmDouble f
-	CmmLabel l		-> ImmCLbl l
-	CmmLabelOff l off	-> ImmIndex l off
-
-	CmmLabelDiffOff l1 l2 off
-	 -> ImmConstantSum
-		(ImmConstantDiff (ImmCLbl l1) (ImmCLbl l2))
-		(ImmInt off)
+        CmmInt i w              -> ImmInteger (narrowS w i)
+        CmmFloat f W32          -> ImmFloat f
+        CmmFloat f W64          -> ImmDouble f
+        CmmLabel l              -> ImmCLbl l
+        CmmLabelOff l off       -> ImmIndex l off
+
+        CmmLabelDiffOff l1 l2 off
+         -> ImmConstantSum
+                (ImmConstantDiff (ImmCLbl l1) (ImmCLbl l2))
+                (ImmInt off)
 
         _               -> panic "SPARC.Regs.litToImm: no match"
 
